Subject: Seqfault doing kill -l
From: "Robert McGovern" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 27 May 2004 16:02:21 +0100

Hi,

Couldn't find a mention of this in the Cygwin mailing list archives and
thought I'd ask about it. 

I was trying to get the list of siginals that cygwins kill (/bin/kill)
takes using the kill -l command (and --list). Unfortuantly it causes it
to segfault as you can see from the following output, thought the other
kill in /usr/bin/kill works okay. Is this a known issue?

robertm@al ~
$ /bin/kill --list
Segmentation fault (core dumped)

robertm@al ~
$ /bin/kill --version
kill (cygwin) 1.14
Process Signaller
Copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002 Red Hat, Inc.
Compiled on Mar 18 2004

I have captured a stack trace

robertm@al ~
$ gdb /bin/kill
GNU gdb 2003-09-20-cvs (cygwin-special)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i686-pc-cygwin"...(no debugging symbols
found)...
(gdb) run -l
Starting program: /usr/bin/kill.exe -l

Program received signal SIGSEGV, Segmentation fault.
0x610cdb11 in strlen () from /usr/bin/cygwin1.dll
(gdb) bt
#0  0x610cdb11 in strlen () from /usr/bin/cygwin1.dll
#1  0x610d18fc in wmemset () from /usr/bin/cygwin1.dll
#2  0x610d1014 in wmemset () from /usr/bin/cygwin1.dll
#3  0x610de407 in wmemset () from /usr/bin/cygwin1.dll
#4  0x610882af in cygwin1!aclcheck () from /usr/bin/cygwin1.dll
#5  0x00401b5f in ?? ()
(gdb) 

robertm@al ~
$ which kill
/usr/bin/kill

robertm@al ~
$ kill -l
 1) SIGHUP       2) SIGINT       3) SIGQUIT      4) SIGILL
 5) SIGTRAP      6) SIGABRT      7) SIGEMT       8) SIGFPE
 9) SIGKILL     10) SIGBUS      11) SIGSEGV     12) SIGSYS
13) SIGPIPE     14) SIGALRM     15) SIGTERM     16) SIGURG
17) SIGSTOP     18) SIGTSTP     19) SIGCONT     20) SIGCHLD
21) SIGTTIN     22) SIGTTOU     23) SIGIO       24) SIGXCPU
25) SIGXFSZ     26) SIGVTALRM   27) SIGPROF     28) SIGWINCH
29) SIGLOST     30) SIGUSR1     31) SIGUSR2     

robertm@al ~
$ kill -v
bash: kill: v: invalid signal specification

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/